org.apache.lucene.luke.app.desktop.components.fragments.search

## Class QueryParserPaneProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.fragments.search.QueryParserPaneProvider

- All Implemented Interfaces:
    ComponentOperatorRegistry.ComponentOperator, QueryParserTabOperator

      public final class QueryParserPaneProvider
      extends Object
      implements QueryParserTabOperator

  Provider of the QueryParser pane (tab)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryParserPaneProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JScrollPane` | `get()`
    `QueryParserConfig` | `getConfig()`
    `String` | `getDefaultField()`
    `void` | `setRangeSearchableFields(Collection<String> rangeSearchableFields)`
    `void` | `setSearchableFields(Collection<String> searchableFields)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryParserPaneProvider

          public QueryParserPaneProvider()

  - ### Method Detail

    - #### get

          public JScrollPane get()

    - #### setSearchableFields

          public void setSearchableFields(Collection<String> searchableFields)

      Specified by:
        `setSearchableFields` in interface `QueryParserTabOperator`

    - #### setRangeSearchableFields

          public void setRangeSearchableFields(Collection<String> rangeSearchableFields)

      Specified by:
        `setRangeSearchableFields` in interface `QueryParserTabOperator`

    - #### getConfig

          public QueryParserConfig getConfig()

      Specified by:
        `getConfig` in interface `QueryParserTabOperator`

    - #### getDefaultField

          public String getDefaultField()

      Specified by:
        `getDefaultField` in interface `QueryParserTabOperator`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.